Package org.eclipse.birt.chart.event

# Class ChartEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BlockGenerationEvent`, `InteractionEvent`, `PrimitiveRenderEvent`, `StructureChangeEvent`

public abstract class ChartEvent extends EventObject
Base Abstract class for various Chart Events: Primitive render events, interaction events, structure change events

See Also:
  - `EventObjectCache`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ChartEvent(Object source)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`reset()`
Resets the inner state of current event.
`void`
`setSourceObject(Object oSource)`
Sets the source object of current event.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChartEvent

public ChartEvent(Object source)
The constructor.

## Method Details

### reset

public abstract void reset()
Resets the inner state of current event. This must be implemented if the object is cached and reused.

### setSourceObject

public void setSourceObject(Object oSource)
Sets the source object of current event.

Parameters:
  `oSource` -